@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');
*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: 'Poppins', sans-serif;
}

.sidebar{
	position: fixed;
	top: 80px;
	left: 0;
	height: 100%;
	width: 250px;
	/*background: #006F3B;*/
	background: #00a652;
	z-index: 100;
	transition: all 0.5s ease;
}

.sidebar.close{
	width: 55px;
}

.sidebar .logo-details{
	height: 50px;
	width: 100%;
	display: flex;
	align-items: center;
}

.sidebar .logo-details i{
	font-size: 15px;
	color: #fff;
	height: 50px;
	min-width: 50px;
	text-align: center;
	line-height: 50px;
}

.sidebar .logo-details .logo_name{
	font-size: 15px;
	color: #fff;
	font-weight: 600;
	transition: 0.3s ease;
	transition-delay: 0.1s;
}

.sidebar.close .logo-details .logo_name{
	transition-delay: 0s; 
	opacity: 0;
	pointer-events: none;
}

.sidebar .nav-links{
	height: 100%;
	padding: 10px 0 120px 0;
	overflow: auto;
}

.sidebar.close .nav-links{
	overflow: visible;
}

.sidebar .nav-links::-webkit-scrollbar{
	display: none;
}

.sidebar .nav-links li{
	position: relative;
	list-style: none;
	transition: all 0.4s ease;
}

.sidebar .nav-links li:hover{
	/*background: #008100;*/
	background: #b7e744;
}

.sidebar .nav-links li i{
	font-size: 25px;
	height: 80px;
	min-width: 50px;
	text-align: center;
	line-height: 50px;
	color: #fff;
	cursor: pointer;
	transition: all 0.3s ease;
}

.sidebar .nav-links li.showMenu i.arrow{
	transform: rotate(-180deg);
}

.sidebar.close .nav-links i.arrow{
	display: none;
}

.sidebar .nav-links li a{
	display: flex;
	align-items: center;
	text-decoration: none;
}

.sidebar .nav-links li a .link_name{
	font-size: 15px;
	font-weight: 400;
	color: #fff;
}

.sidebar .nav-links li:hover i{
	font-size: 20px;
	height: 50px;
	min-width: 50px;
	text-align: center;
	line-height: 50px;
	color: #000;
	cursor: pointer;
	transition: all 0.3s ease;
}

.sidebar .nav-links li:hover a .link_name{
	font-size: 15px;
	font-weight: 400;
	color: #000;
}

.sidebar.close .nav-links li a .link_name{
	opacity: 0;
	pointer-events: none;
}

.logout{
	display: none;
}

.sidebar .nav-links li .icon-link{
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.sidebar.close .nav-links li .icon-link{
	display: block;
}

.sidebar .nav-links li .sub-menu{
	padding: 6px 6px 14px 80px;
	margin-top: -10px;
	/*background: #008100;*/
	background: #b7e744;
	color:  #fff;
	display: none;
}

.sidebar .nav-links li.showMenu .sub-menu{
	display: block;
}

.sidebar .nav-links li .sub-menu a{
	color: #000;
	left: -100px;
	font-size: 13px;
	padding: 5px 0;
	margin-left: -65px;
	white-space: nowrap;
	opacity: 0.6;
	transition: all 0.3 ease;
}

.sidebar.close .nav-links li .sub-menu a{
	margin-left: 0px;
}

.sidebar .nav-links li .sub-menu a:hover{
	opacity: 1;
}

.sidebar.close .nav-links li .sub-menu{
	position: absolute;
	left: 100%;
	top: -10px;
	margin-top: 0;
	padding: 10px 20px;
	border-radius: 0 6px 6px 0;
	opacity: 0;
	display: block;
	pointer-events: none;
	transition: 0s;
}

.sidebar.close .nav-links li:hover .sub-menu{
	top: 0;
	opacity: 1;
	pointer-events: auto;
	transition: all 0.4s ease;
}

.sidebar .nav-links li .sub-menu .link_name{
	display: none;
}

.sidebar.close .nav-links li .sub-menu .link_name{
	display: none;
}

.sidebar.close .nav-links li .sub-menu .link_name{
	font-size: 18px;
	opacity: 1;
	display: block;
}

.sidebar .nav-links li .sub-menu.blank{
	opacity: 1;
	pointer-events: auto;
	padding: 3px 20px 6px 16px;
	opacity: 0;
	pointer-events: none;
}

.sidebar .nav-links li:hover .sub-menu.blank{
	top: 50%;
	transform: translateY(-50%);
}

.sidebar .profile-details{
	position: fixed;
	bottom: 0;
	display: flex;
	align-items: center;
	justify-content: space-between;
	background: #1d1b31;
	padding: 6px 0;
	width: 250px;
	transition: all 0.4s ease;
}

.sidebar.close .profile-details{
	background: none;
	width: 50px;
}

.sidebar .profile-details .profile-content{
	display: flex;
	align-items: center;
}

/*.sidebar .profile-details img{
	height: 52px;
	width: 52px;
	object-fit: cover;
	border-radius: 16px;
	margin: 0 14px 0 12px;
	background: #1d1b31;
	transition: all 0.5s ease;
}*/

/*.sidebar.close .profile-details img{
	padding: 10px;
	height: 50px;
	width: 50px;
}*/

.sidebar .profile-details .profile_name,
.sidebar .profile-details .job{
	position: relative;
	left: 50px;
	color: #fff;
	font-size: 16px;
	font-weight: 500;
	white-space: nowrap;
}

.sidebar.close .profile-details i,
.sidebar.close .profile-details .profile_name,
.sidebar.close .profile-details .job{
	display: none;
}

.sidebar .profile-details .job{
	font-size: 11px;
}

/* Content */
.home-section{
	position: relative;
	background: #FAFAFA;
	/*background: #00894B;*/
	/*background: -webkit-linear-gradient(to bottom, #90EE90, #00894B);*/
	/*background: linear-gradient(to bottom, #90EE90, #00894B);*/
	top: 80px;
	left: 250px;
	min-height: calc(100vh - 80px);
	height: 100%;
	width: calc(100% - 250px);
	transition: all 0.5s ease;
}

.sidebar.close ~ .home-section{
	left: 55px;
	width: calc(100% - 55px);
}

.home-content{
	padding: 10px 20px;
}

/* Header */
.header-section{
	position: fixed;
	background: #04763c;
	height: 40px;
	width: 100%;
	top: 40px;
	z-index: 1;
}

.header-content{
	width: 100%;
}

.header-section .header-content{
	height: 40px;
	padding-top: 5px;
	display: inline-block;
	align-items: center;
	float: left;
}

.header-section .header-content .text{
	position: relative;
	left: 180px;
	font-size: 20px;
}

.header-section .header-content .text,
.header-section .header-content .text-user{
	font-size: 18px;
	color: #fff;
}

.text{
	font-weight: 400;
	float: left;
}

.text-user{
	font-weight: 400;
	float: right;
	padding-right: 20px;
}

.clear{
	clear: both;
}

.header-section-top{
	position: fixed;
	background: #fff;
	height: 40px;
	width: 100%;
	z-index: 99;
}

.header-content-top{
	width: 100%;
}

.header-section-top .header-content-top{
	height: 40px;
	padding-top: 5px;
	display: inline-block;
	align-items: center;
	float: left;
}

.header-section-top .header-content-top .text-top{
	position: relative;
	left: 180px;
	font-size: 20px;
}

.header-section-top .header-content-top .text-top,
.header-section-top .header-content-top .text-top-clock{
	font-size: 18px;
	color: #000;
}

.text-top{
	font-weight: 400;
	float: left;
}

.text-top-clock{
	font-weight: 400;
	float: right;
	padding-right: 20px;
}

.header-section-top img{
	position: absolute;
	top: 8px;
	left: 60px;
	height: 65px;
	width: 65px;
	object-fit: cover;
	z-index: 100;
	overflow: visible;
	float: left;
}

.bx-menu{
	/*margin: 0 15px;*/
	cursor: pointer;
}

.sidebar.close {
	opacity: 1 !important;
}

.swal-footer {
	background-color: #00a652;
	margin-top: 32px;
	border-top: 1px solid #E9EEF1;
	overflow: hidden;
}

.loader {
	border: 16px solid #f3f3f3; /* Light grey */
	border-top: 16px solid #009000; /* Green */
	border-radius: 50%;
	width: 120px;
	height: 120px;
	animation: spin 2s linear infinite;
}

.tr-data {
    cursor: pointer !important;
}

.tr-data:hover {
    font-weight: bold;
}

.underline {
	border-bottom: 2px dotted #E99002;
}

.blink {
	animation: blinker 1.5s linear infinite;
}

@keyframes blinker {
  	50% {
    	opacity: 0;
  	}
}

@media screen and (max-width: 1100px) {
	.header-section-top img{
		left: 20px;
	}

  .header-section-top .text-top-clock,
  .header-section .text {
  	display: none;
  }

  .header-section .text-user {
  	position: relative;
		left: 120px;
		font-size: 20px;
  	float: left;
  }

  .header-section .text-user a {
  	display: none;
  }

  .header-section-top .header-content-top .text-top{
		left: 120px;
	}

  .sidebar {
		width: 55px;
  }

  .sidebar .logo-details .logo_name {
		transition-delay: 0s; 
		opacity: 0;
		pointer-events: none;
  }

  .sidebar .nav-links {
		overflow: visible;
  }

  .sidebar .nav-links i.arrow {
		display: none;
  }

  .sidebar .nav-links li a .link_name {
		opacity: 0;
		pointer-events: none;
  }

  .sidebar .nav-links li .icon-link {
		display: block;
  }

  .sidebar .nav-links li .sub-menu a {
		margin-left: 0px;
  }

  .sidebar .nav-links li .sub-menu {
		position: absolute;
		left: 100%;
		top: -10px;
		margin-top: 0;
		padding: 10px 20px;
		border-radius: 0 6px 6px 0;
		opacity: 0;
		display: block;
		pointer-events: none;
		transition: 0s;
  }

  .sidebar .nav-links li:hover .sub-menu {
		top: 0;
		opacity: 1;
		pointer-events: auto;
		transition: all 0.4s ease;
  }

  .sidebar .nav-links li .sub-menu .link_name {
		display: none;
  }

  .sidebar .nav-links li .sub-menu .link_name {
		font-size: 18px;
		opacity: 1;
		display: block;
  }

  .sidebar .profile-details {
		background: none;
		width: 50px;
  }

  .sidebar .profile-details i,
  .sidebar .profile-details .profile_name,
  .sidebar .profile-details .job {
		display: none;
  }

  .sidebar ~ .home-section{
		left: 55px;
		width: calc(100% - 55px);
  }

  .sidebar {
		opacity: 1 !important;
  }

  .home-section {
		left: 55px;
  }

  .b-stats {
  	display: none;
  }

  .btn-menu {
  	padding-bottom: 10px;
  }

	.logout{
		display: inline-block;
	}
}